<?php

function calcul_performance($PlayerId,$CategoryId,$DateFrom,$DateTo,$MatchSelected)
{
/*

SI $valeurs est un tableau ($valeurs[0] date debut, $valeurs[1] date fin, $valeurs[2] category)
   on effectue la requête d'une date à une autre dans une category spécifée
SI $valeurs=0, on veut calculer pour tous les matchs
SINON on calcule pour le ou les identifiants de matchs (MatchId) séparés par une virgule

on affiche les matchs dont les résultats on été rentrés pour tel category

*/
  if (!empty($CategoryId))
	$showCategory = " AND Matchs.Category='".$CategoryId."'";
  else
	$showCategory = "";
  
  if ($DateFrom=="")
	$DateFrom = "1999-01-01 10:00:00";
  
  if ($DateTo=="")
	$DateTo = "2015-01-01 10:00:00";
  
  
  
  if ($MatchSelected != "")
    $rows = main_db_query("SELECT Paris.Bet AS Bet , Matchs.Result AS Result , Matchs.Rate1 AS Rate1 , Matchs.Rate2 AS Rate2 FROM Paris LEFT JOIN Matchs ON Paris.MatchId=Matchs.MatchId WHERE Paris.PlayerId='$PlayerId' AND Matchs.MatchId IN (".$MatchSelected.")"); 
  else
    $rows = main_db_query("SELECT Paris.Bet AS Bet , Matchs.Result AS Result , Matchs.Rate1 AS Rate1 , Matchs.Rate2 AS Rate2 , Matchs.Date , Matchs.Category FROM Paris LEFT JOIN Matchs ON Paris.MatchId=Matchs.MatchId WHERE Paris.PlayerId='$PlayerId' AND Matchs.Date>'".$DateFrom."' AND Matchs.Date<'".$DateTo."'".$showCategory); 
  
  
  
  $i=0;
  $perf=0;
  $cumul[0]=$cumul[1]=$cumul[2]=0;
  
  while ($row = db_fetch_array($rows))/* récupération des valeurs dans un tableau */ 
  {
	$score[$i] = calcule_gain_prono($row[Result],$row[Bet],1,$row[Rate1],$row[Rate2]);
	if ($score[$i] == $row[Rate1])
	{
	  $perf+=$row[Rate1];
	  $cumul[2]++;
	}
	else if ($score[$i] == $row[Rate2])
	{
	  $perf+=$row[Rate2];
	  $cumul[3]++;
	}
	else
	{
	  $cumul[4]++;
	}
	$i++;
  }
  $array[0] = $i;
  # on rapporte au nbe de paris --> Performance
  # ensuite calcul du pourcentage de chaque sorte de résultat
  if($i>0)
  {
    $calc=round($perf*1000/$i)/1000;
	for ($j=2 ; $j<=4 ; $j++)
    {
      $array[$j] = round($cumul[$j]*10000/$i)/100;
    }
  }
  else $calc=0;
  $array[1] = $calc;
  
  return $array;
}
mysql_free_result($resu);/* libère la mémoire affecté */ 
?>